Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.jaxb
Interface JAXBObjectModifier

public interface JAXBObjectModifier

JAXBObjectHandler implementations can be registered with the `JAXBModifier` in order to change unmarshalled XML fragments.

Author:
  Wonne Keysers (Realsoftware.be)

Method Summary
`javax.xml.bind.Element` | `modifyObject(javax.xml.bind.Element jaxbElement)` Called when the `JAXBModifier`has finished parsing the xml path the handler was registered for.

Method Detail

### modifyObject

    public javax.xml.bind.Element modifyObject(javax.xml.bind.Element jaxbElement)
                                        throws Exception

  Called when the `JAXBModifier`has finished parsing the xml path the handler was registered for. The provided object is the unmarshalled representation of the XML fragment. It can be casted to the appropriate implementation class that is generated by the JAXB compiler.
  The modified JAXB element that returns from this method will be marshalled by the `JAXBModifier`and put in the DOM4J tree.

  Parameters:
    `jaxbElement` - the JAXB object to be modified
  Returns:
    the modified JAXB object, or null when it must be removed.
  Throws:
    `Exception` - possibly thrown by the implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.